/***************************************************************************
                          calltreedlg.h  -  description
                             -------------------
    begin                : Fri Jul 18 2003
    copyright            : (C) 2003 by Elad Lahav
    email                : elad@eldarshany.com
 ***************************************************************************/

/***************************************************************************
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 ***************************************************************************/

#ifndef CALLTREEDLG_H
#define CALLTREEDLG_H

#include <qwidget.h>
#include <qlistview.h>
#include <calltreelayout.h>
#include "frontend.h"

class CscopeFrontend;

/**
 * Displays a hierarchical tree of calling functions.
 * @author Elad Lahav
 */

class CallTreeDlg : public CallTreeLayout, public FrontendDataTarget
{
   Q_OBJECT
   
public: 
	CallTreeDlg(CscopeFrontend* pCscope, const QString& sFunc,
		QWidget* pParent = 0, const char* szName = 0);
	~CallTreeDlg();

	virtual void dataReady(FrontendToken*);
	virtual void finished(int);

signals:
	void lineRequested(const QString&, uint);
	
private:
	CscopeFrontend* m_pCscope;
	QListViewItem* m_pActiveItem;

	void queryCallers(const QString&);

private slots:
	void slotExpandFunc(QListViewItem*);
	void slotRequestLine(QListViewItem*);
};

#endif
